## lv2fil 2.0

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

# TODO: check these flags and how to add them to waf
# LIBRARIES = -DPIC -Wall
# CFLAGS := -g -fPIC -DPIC -Wall -Werror

# the following two variables are used by the target "waf dist"
VERSION='2.0'
APPNAME='lv2fil'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def set_options(opt):
    opt.parser.remove_option('--prefix') # prefix as commonly used concept has no use here, so we remove it to not add confusion
    opt.tool_options('compiler_cc')
    opt.tool_options('lv2plugin', tooldir='.')

def configure(conf):
    conf.check_tool('compiler_cc')
    conf.check_tool('lv2plugin', tooldir='.')

    conf.check_pkg('lv2core', mandatory=True)
    conf.check_pkg('liblo', mandatory=True)

def build(bld):
    filter = bld.create_obj('lv2plugin', type='cc')
    filter.uselib = 'LV2CORE LIBLO'
    filter.target = 'filter'
    filter.ttl = ['filter.ttl', 'manifest.ttl', 'ui', 'lv2logo.png']
    filter.source = ['filter.c', 'lv2filter.c', 'lv2plugin.c', 'log.c', 'lv2_ui.c']

=== debian/changelog ===
lv2fil (2.0-1) unstable; urgency=low

  * Initial release (Closes: #537751)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 08 May 2010 23:59:08 +0200

=== debian/control ===
Source: lv2fil
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 pkg-config,
 lv2core,
 liblo-dev,
 python
DM-Upload-Allowed: yes
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2fil.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2fil.git
Homepage: http://nedko.arnaudov.name/soft/lv2fil/

Package: lv2fil
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python,
 python-cairo,
 python-gtk2,
 python-liblo
Provides: lv2-plugin
Description: Stereo and mono LV2 plugins, four-band parametric equalisers
 Each section has an active/bypass switch, frequency, bandwidth and
 gain controls. There is also a global bypass switch and gain control.
 All switches and controls are internally smoothed, so they can be
 used 'live' whithout any clicks or zipper noises. This should make
 this plugin a good candidate for use in systems that allow automation
 of plugin control ports, such as Ardour, or for stage use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure   --destdir=/usr --lv2-dir=/usr/lib/lv2

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	rm -f autowaf.pyc
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## lv2fil 2.0+20100312.git18130f5a

=== debian/changelog ===
lv2fil (2.0+20100312.git18130f5a-1) unstable; urgency=low

  * Imported Upstream version 2.0+20100312.git18130f5a:
    - Remove liblo and pyliblo dependencies - a misconfigured network setup
      will no longer prevent UI from working (the DSSI problem).
    - Improve UI launching (vfork) - jack xruns/disconnects should not
      happen anymore.
    - Handle missing runtime dependencies - hosts will not lock-up
      anymore.
    - Consume child zombies.
  * Drop {,py}liblo {,build-}dependencies.
  * Unset compression, now uses gzip'd tarballs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 May 2011 11:01:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
 Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
  lv2core,
- liblo-dev,
  python
 DM-Upload-Allowed: yes
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2fil.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2fil.git
 Homepage: http://nedko.arnaudov.name/soft/lv2fil/
@@ -22,8 +21,7 @@
  ${misc:Depends},
  python,
  python-cairo,
- python-gtk2,
- python-liblo
+ python-gtk2
 Provides: lv2-plugin
 Description: Stereo and mono LV2 plugins, four-band parametric equalisers
  Each section has an active/bypass switch, frequency, bandwidth and

=== debian/watch ===
version=3

http://nedko.arnaudov.name/soft/lv2fil/download/lv2fil-(.*)\.tar\.bz2

## lv2fil 2.0+20100312.git18130f5a+dfsg0

=== wscript ===
--- 
+++ 
@@ -23,11 +23,12 @@
     conf.check_tool('lv2plugin', tooldir='.')
 
     conf.check_pkg('lv2core', mandatory=True)
-    conf.check_pkg('liblo', mandatory=True)
+
+    conf.env.append_unique('LINKFLAGS', '-lm')
 
 def build(bld):
     filter = bld.create_obj('lv2plugin', type='cc')
-    filter.uselib = 'LV2CORE LIBLO'
+    filter.uselib = 'LV2CORE'
     filter.target = 'filter'
     filter.ttl = ['filter.ttl', 'manifest.ttl', 'ui', 'lv2logo.png']
     filter.source = ['filter.c', 'lv2filter.c', 'lv2plugin.c', 'log.c', 'lv2_ui.c']

=== debian/changelog ===
lv2fil (2.0+20100312.git18130f5a+dfsg0-2) unstable; urgency=low

  * Team upload.
  * Replace lv2core with lv2-dev in Build-Depends.
  * Remove myself from the Uploaders field.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 May 2012 01:27:44 +0200

lv2fil (2.0+20100312.git18130f5a+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the 'waf' blob (Closes: #654488).
  * Add debian/unpack_waf.sh.
  * debian/rules:
    - Add get-orig-source.
    - Prune *.pyc files on clean.
  * debian/watch: Mangle Debian's versioning.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 14:04:03 +0100

=== debian/control ===
Source: lv2fil
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 lv2-dev,
 pkg-config,
 python
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2fil.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2fil.git
Homepage: http://nedko.arnaudov.name/soft/lv2fil/

Package: lv2fil
Architecture: any
Depends:
 python,
 python-cairo,
 python-gtk2,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: Stereo and mono LV2 plugins, four-band parametric equalisers
 Each section has an active/bypass switch, frequency, bandwidth and
 gain controls. There is also a global bypass switch and gain control.
 All switches and controls are internally smoothed, so they can be
 used 'live' whithout any clicks or zipper noises. This should make
 this plugin a good candidate for use in systems that allow automation
 of plugin control ports, such as Ardour, or for stage use.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # -*- makefile -*-
 
 WAF = ./waf
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: (.*)-.*$$/\1/p' | sed 's/.dfsg[0-9]*//')
+dfsg_version = $(upstream_version)+dfsg0
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 %:
 	dh $@
@@ -14,7 +18,7 @@
 
 override_dh_auto_clean:
 	$(WAF) distclean
-	rm -f autowaf.pyc
+	find -name "*.pyc" -delete
 	dh_auto_clean
 
 override_dh_auto_install:
@@ -22,3 +26,13 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+get-orig-source:
+	uscan --noconf --force-download --rename --repack \
+		--download-current-version --destdir=.
+	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) && ../debian/unpack_waf.sh && cd ..
+	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)
+	rm -f $(pkg)_$(upstream_version).orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d*// \
http://nedko.arnaudov.name/soft/lv2fil/download/lv2fil-(.*)\.tar\.bz2
